| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions
img_montage.h File Reference

Functions to montage images for display. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Functions
Bimage * | img_montage_slices (Bimage *p, int first, int cols, int rows, int skip, int flipy)
| Rearranges a 3D image into a montage of 2D slices for display. More...
Bimage * | img_montage_images (Bimage *p, int first, int cols, int rows, int skip, int flipy)
| Rearranges a 2D images into a 2D montage. More...

## Detailed Description

Functions to montage images for display.

Author
  Bernard Heymann

Date
  Created: 19990321 Modified: 20111027

Definition in file img_montage.h.

## Function Documentation

Bimage* img_montage_images | ( | Bimage * | p,
|  | int | first,
|  | int | cols,
|  | int | rows,
|  | int | skip,
|  | int | flipy
| ) |  |

Rearranges a 2D images into a 2D montage.

A set of 2D images are packed into a 2D montage. The background value for the first sub-image is used for empty regions.

Parameters

  *p | image.
  cols | columns in montage.
  rows | rows in montage.
  first | first 2D image in montage.
  skip | number of images to skip.
  flipy | flip the order of panels on the y axis.

Returns
  Bimage* montaged image.

Definition at line 90 of file img_montage.cpp.

Bimage* img_montage_slices | ( | Bimage * | p,
|  | int | first,
|  | int | cols,
|  | int | rows,
|  | int | skip,
|  | int | flipy
| ) |  |

Rearranges a 3D image into a montage of 2D slices for display.

The slices of a 3D image are packed into a 2D montage. The background value for the image is used for empty regions.

Parameters

  *p | image.
  cols | columns in montage.
  rows | rows in montage.
  first | first slice in montage.
  skip | number of slices to skip.
  flipy | flip the order of panels on the y axis.

Returns
  Bimage* montaged image.

Definition at line 29 of file img_montage.cpp.